<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardHeader]">
    <h5 [ngClass]="[jds.cardTitle]">Tentang Visualisasi</h5>
  </div>

  <ng-container *ngIf="isLoadingRead$ | async">
    <div [ngClass]="[jds.cardBody, jds.py(32), jds.px(24)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [70, 10, 30, 20]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </div>
  </ng-container>

  <ng-container *ngIf="(isLoadingRead$ | async) === false">
    <ng-container *ngIf="data$ | async as row">
      <div
        [ngClass]="[jds.cardBody, jds.borderBottom(1), jds.py(32), jds.px(24)]"
      >
        <p [ngClass]="[jds.fs(16), jds.text('#535353')]">
          {{ row.description }}
        </p>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(6),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Organisasi
            </div>
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="1"
              [style.lineHeight.px]="23"
            >
              {{ row.skpd.nama_skpd }}
            </span>
          </div>
          <div
            *ngIf="(metadataBusinessIsLoadingList$ | async) === false"
            [ngClass]="jds.me(48)"
          >
            <div [ngClass]="jds.me(48)">
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600'])
                ]"
                [style.lineHeight.px]="20"
              >
                Divisualisasikan oleh
              </div>
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ metadataBusinessData.value }}
              </span>
            </div>
          </div>
          <div [style.flexShrink]="0">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(6),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Jumlah Dilihat
            </div>
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="1"
              [style.lineHeight.px]="23"
            >
              {{ row.count_view_private }}
            </span>
          </div>
        </div>
      </div>
      <div [ngClass]="[jds.cardBody, jds.p(24)]">
        <div [ngClass]="[jds.fw('bold'), jds.mb(16)]">
          Referensi Dataset
          <span
            [ngClass]="jds.ms(8)"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Dataset referensi adalah dataset yang digunakan sebagai sumber utama dalam pembuatan visualisasi."
          >
            <jds-bi-icon
              [ngClass]="jds.text('info')"
              [size]="14"
              name="circle-info"
            />
          </span>
        </div>

        <div *ngFor="let row of row.visualization_dataset; let i = index">
          <a
            [ngClass]="jds.fs(14)"
            [routerLink]="['/dataset/detail', row.dataset.id]"
          >
            <strong>{{ row.dataset.name }}</strong>
          </a>
        </div>
      </div>
    </ng-container>
  </ng-container>
</div>
